CRAN Package Check Results for Package drtmle

Last updated on 2019-12-09 01:48:58 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0.4 12.85 306.62 319.47 OK
r-devel-linux-x86_64-debian-gcc 1.0.4 11.17 227.64 238.81 OK
r-devel-linux-x86_64-fedora-clang 1.0.4 365.84 OK
r-devel-linux-x86_64-fedora-gcc 1.0.4 361.70 OK
r-devel-windows-ix86+x86_64 1.0.4 24.00 403.00 427.00 WARN
r-devel-windows-ix86+x86_64-gcc8 1.0.4 26.00 298.00 324.00 WARN
r-patched-linux-x86_64 1.0.4 10.04 272.54 282.58 OK
r-patched-solaris-x86 1.0.4 450.20 WARN
r-release-linux-x86_64 1.0.4 12.29 269.68 281.97 OK
r-release-windows-ix86+x86_64 1.0.4 22.00 266.00 288.00 WARN
r-release-osx-x86_64 1.0.4 ERROR
r-oldrel-windows-ix86+x86_64 1.0.4 17.00 268.00 285.00 WARN
r-oldrel-osx-x86_64 1.0.4 OK

Check Details

Version: 1.0.4
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
    --- re-building 'using_drtmle.Rmd' using rmarkdown
    drtmle: TMLE with doubly robust inference
    Version: 1.0.4
    Loading required package: nnls
    Super Learner
    Version: 2.0-25
    Package created on 2019-08-05
    
    Quitting from lines 1049-1062 (using_drtmle.Rmd)
    Error: processing vignette 'using_drtmle.Rmd' failed with diagnostics:
    there is no package called 'snow'
    --- failed re-building 'using_drtmle.Rmd'
    
    SUMMARY: processing the following file failed:
     'using_drtmle.Rmd'
    
    Error: Vignette re-building failed.
    Execution halted
Flavors: r-devel-windows-ix86+x86_64, r-devel-windows-ix86+x86_64-gcc8, r-release-windows-ix86+x86_64

Version: 1.0.4
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘using_drtmle.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    drtmle: TMLE with doubly robust inference
    Version: 1.0.4
    Loading required package: nnls
    Super Learner
    Version: 2.0-25
    Package created on 2019-08-05
    
    Loading required package: nloptr
    Loading required package: nloptr
    Loading required package: quadprog
    Loading required namespace: earth
    Loading required package: quadprog
    Loading required namespace: earth
    Loading required package: future
    Quitting from lines 1049-1062 (using_drtmle.Rmd)
    Error: processing vignette 'using_drtmle.Rmd' failed with diagnostics:
    there is no package called 'snow'
    --- failed re-building ‘using_drtmle.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘using_drtmle.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-patched-solaris-x86

Version: 1.0.4
Check: examples
Result: ERROR
    Running examples in ‘drtmle-Ex.R’ failed
    The error occurred in:
    
    
    R version 3.6.0 beta (2019-04-15 r76395) -- "Planting of a Tree"
    Copyright (C) 2019 The R Foundation for Statistical Computing
    Platform: x86_64-apple-darwin15.6.0 (64-bit)
    
    R is free software and comes with ABSOLUTELY NO WARRANTY.
    You are welcome to redistribute it under certain conditions.
    Type 'license()' or 'licence()' for distribution details.
    
     Natural language support but running in an English locale
    
    R is a collaborative project with many contributors.
    Type 'contributors()' for more information and
    'citation()' on how to cite R or R packages in publications.
    
    Type 'demo()' for some demos, 'help()' for on-line help, or
    'help.start()' for an HTML browser interface to help.
    Type 'q()' to quit R.
    
    > pkgname <- "drtmle"
    > source(file.path(R.home("share"), "R", "examples-header.R"))
    > options(warn = 1)
    > library('drtmle')
    Error: package or namespace load failed for ‘drtmle’ in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
     there is no package called ‘data.table’
    Execution halted
Flavor: r-release-osx-x86_64

Version: 1.0.4
Check: tests
Result: ERROR
     Running ‘testthat.R’ [1s/1s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     > library(drtmle)
     Error: package or namespace load failed for 'drtmle' in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
     there is no package called 'data.table'
     Execution halted
Flavor: r-release-osx-x86_64

Version: 1.0.4
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘using_drtmle.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Quitting from lines 385-393 (using_drtmle.Rmd)
    Error: processing vignette 'using_drtmle.Rmd' failed with diagnostics:
    package or namespace load failed for 'drtmle' in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
     there is no package called 'data.table'
    --- failed re-building ‘using_drtmle.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘using_drtmle.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-release-osx-x86_64

Version: 1.0.4
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    drtmle: TMLE with doubly robust inference
    Version: 1.0.4
    Loading required package: nnls
    Super Learner
    Version: 2.0-25
    Package created on 2019-08-05
    
    Quitting from lines 1049-1062 (using_drtmle.Rmd)
    Error: processing vignette 'using_drtmle.Rmd' failed with diagnostics:
    there is no package called 'snow'
    Execution halted
Flavor: r-oldrel-windows-ix86+x86_64